%define module	sympy
%define name	python-%{module}
%define version	0.7.1
%define release	%mkrel 2

Summary:	Python library for symbolic mathematics
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://sympy.googlecode.com/files/%{module}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://sympy.googlecode.com/
Requires: 	python-numpy
Suggests:	python-gmpy >= 1.03, python-pyglet
BuildRequires:	python-devel, python-sphinx
BuildArch:	noarch

%description
SymPy is a Python library for symbolic mathematics. It aims to become
a full-featured computer algebra system (CAS) while keeping the code
as simple as possible in order to be comprehensible and easily
extensible. SymPy is written entirely in Python and does not require
any external libraries, except optionally for plotting support.

%prep
%setup -q -n %{module}-%{version}

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}
%make -C doc html
%__rm -f %{buildroot}%{_bindir}/test %{buildroot}%{_bindir}/doctest %{buildroot}%{_bindir}/py.bench

%clean
%__rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc AUTHORS README LICENSE TODO examples/ doc/_build/html
%_bindir/isympy
%_mandir/man1/isympy.*
%dir %{py_sitedir}/%{module}
%{py_sitedir}/%{module}/*
%{py_sitedir}/%{module}-*.egg-info



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.7.1-2.mga3
+ Revision: 379552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 20 2011 lebedov <lebedov> 0.7.1-1.mga2
+ Revision: 146159
- imported package python-sympy

